<?php
/**********************************************************************************
Christmas lights plugin for MyBB. 
A plugin which shows breakable christmas lights in header.  

Based on http://www.schillmania.com/projects/snowstorm/ code. Plugin coded for MyBB by kavin.
You may use or modify this as per your requirement. But you can't re-distribute it without proper approval from me.

***********************************************************************************/
if(!defined("IN_MYBB")){
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
//Add hook to run the close function after new topic is created.
$plugins->add_hook("global_start", "christmaslights_show");

// Plugin information
function christmaslights_info()
{
	return array(
		"name"			=> "Christmas lights",
		"description"	=> "Get your forum to christmas mood with Christmas lights.",
		"website"		=> "http://myskins.org",
		"author"		=> "kavin",
		"authorsite"	=> "http://myskins.org",
		"version"		=> "1.0",
		"compatibility" => "16*",
		"guid" 			=> "87907ae3d78eb939b6f8b33f1dc99fa5",
	);

}

//Install Christmas lights plugin.
function christmaslights_activate()
{
//include adminfunctions template file.
require MYBB_ROOT.'/inc/adminfunctions_templates.php';

//Add christmas lights to headerinclude and header.
find_replace_templatesets("headerinclude", "#".preg_quote('{$stylesheets}')."#i", '{$lights_include}{$stylesheets}');
find_replace_templatesets("header", "#".preg_quote('<div id="container">')."#i", '{$lights_show}<br /><div id="container">');
}
	


//Christmas lights uninstall.
function christmaslights_deactivate()
{
//include adminfunctions template file.
require MYBB_ROOT.'/inc/adminfunctions_templates.php';

//Remove christmas lights from headerinclude and header.
find_replace_templatesets("headerinclude", "#".preg_quote('{$lights_include}')."#i", '');
find_replace_templatesets("header", "#".preg_quote('{$lights_show}<br />')."#i", '');
}

//Christmas lights function
function christmaslights_show()
{
global $db, $mybb, $lights_include, $lights_show;

$lights_include = '<link rel="stylesheet" media="screen" href="lights/christmaslights.css" />
<script type="text/javascript" src="lights/soundmanager2-nodebug-jsmin.js"></script>
<script type="text/javascript" src="http://yui.yahooapis.com/combo?2.6.0/build/yahoo-dom-event/yahoo-dom-event.js&2.6.0/build/animation/animation-min.js"></script>
<script type="text/javascript" src="lights/christmaslights.js"></script>
<script type="text/javascript">
var urlBase = \'./lights/\';
soundManager.url = \'./lights/\';
</script>';
$lights_show = '<div id="lights">
  <!-- lights go here -->
 </div>';

}
		
	
?>